> ## Documentation Index > Fetch the complete documentation index at: https://documents.trocco.io/llms.txt > Use this file to discover all available pages before exploring further. # ワークフロー作成 > ワークフローを作成します。 ## OpenAPI ````json POST /api/pipeline_definitions { "openapi": "3.0.3", "info": { "title": "trocco APIリファレンス", "description": "trocco APIリファレンス", "version": "0.0.1" }, "servers": [ { "url": "https://trocco.io" } ], "security": [ { "ApiKeyAuth": [] } ], "tags": [ { "name": "users", "description": "ユーザー", "externalDocs": { "url": "https://documents.trocco.io/docs/about-account-user" } }, { "name": "teams", "description": "チーム", "externalDocs": { "url": "https://documents.trocco.io/docs/team" } }, { "name": "connections", "description": "接続情報", "externalDocs": { "url": "https://documents.trocco.io/docs/connection-configurations" } }, { "name": "custom_connectors", "description": "カスタムコネクタ定義" }, { "name": "datamart_definitions", "description": "データマート定義", "externalDocs": { "url": "https://documents.trocco.io/docs/data-mart" } }, { "name": "environment_groups", "description": "環境グループ" }, { "name": "environments", "description": "環境" }, { "name": "jobs", "description": "転送ジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/etl-configuration" } }, { "name": "pipeline_jobs", "description": "ワークフロージョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/about-workflow" } }, { "name": "resource_groups", "description": "リソースグループ", "externalDocs": { "url": "https://documents.trocco.io/docs/resource-group" } }, { "name": "dbt_git_repositories", "description": "dbt Gitリポジトリ" }, { "name": "dbt_job_definitions", "description": "dbtジョブ設定", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "dbt_jobs", "description": "dbtジョブ", "externalDocs": { "url": "https://documents.trocco.io/docs/dbt-job-configuration" } }, { "name": "notification_destinations", "description": "通知先", "externalDocs": { "url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings" } } ], "externalDocs": { "description": "trocco APIについて", "url": "https://documents.trocco.io/docs/trocco-api" }, "paths": { "/api/pipeline_definitions": { "post": { "summary": "ワークフロー作成", "description": "ワークフローを作成します。\n", "operationId": "createPipelineDefinition", "tags": [ "pipeline_definitions" ], "requestBody": { "content": { "application/json": { "schema": { "title": "PipelineDefinitionRequest", "type": "object", "properties": { "id": { "description": "ワークフローID", "type": "integer", "format": "int64", "readOnly": true }, "name": { "description": "ワークフロー名", "type": "string" }, "resource_group_id": { "description": "リソースグループID", "type": "integer", "format": "int64", "nullable": true }, "description": { "description": "ワークフロー詳細(メモ)", "type": "string", "nullable": true }, "max_task_parallelism": { "description": "ワークフロータスク同時実行数上限", "type": "integer", "format": "int64", "nullable": true, "default": 1, "example": 1 }, "execution_timeout": { "description": "ワークフロー実行タイムアウト", "type": "integer", "format": "int64", "nullable": true }, "max_retries": { "description": "ワークフローリトライ回数上限", "type": "integer", "format": "int64", "nullable": true }, "min_retry_interval": { "description": "ワークフロー最小リトライ間隔", "type": "integer", "format": "int64", "nullable": true }, "is_concurrent_execution_skipped": { "description": "すでにワークフロージョブが実行中の場合、ワークフロージョブの実行をスキップするかどうか", "type": "boolean", "nullable": true }, "is_stopped_on_errors": { "description": "タスクが失敗した場合、ワークフロージョブを停止するかどうか", "type": "boolean", "nullable": true }, "labels": { "description": "ラベル", "type": "array", "nullable": true, "items": { "type": "string" } }, "notifications": { "description": "ワークフロー通知\n", "type": "array", "nullable": true, "items": { "title": "PipelineDefinitionNotification", "type": "object", "properties": { "id": { "description": "通知設定のIDです。
\ntype の中で一意です。slack と email が同じ親レコードから派生する場合は同じ id を持つため、destination_type を併用して識別してください。\n", "type": "integer", "format": "int64", "readOnly": true }, "type": { "description": "ワークフロー通知種別
\n
\n- job_execution: ワークフロー実行通知
\n- job_time_alert: ワークフロー経過時間通知\n", "type": "string", "enum": [ "job_execution", "job_time_alert" ] }, "destination_type": { "description": "ワークフロー通知先種別", "type": "string", "enum": [ "slack", "email", "http" ] }, "notify_when": { "description": "ワークフロー実行通知タイミング
\nワークフロー通知種別がjob_executionの場合は必須です。
\n
\n- finished: ワークフロー実行完了時
\n- failed: ワークフロー実行失敗時\n", "type": "string", "enum": [ "finished", "failed" ] }, "time": { "description": "ワークフロー経過時間通知タイミング
ワークフロー通知種別がjob_time_alertの場合は必須です。", "type": "integer" }, "slack_config": { "description": "Slack通知設定", "type": "object", "properties": { "notification_id": { "description": "Slack通知先ID", "type": "integer", "format": "int64" }, "message": { "description": "Slack通知メッセージ", "type": "string" } }, "required": [ "notification_id", "message" ] }, "email_config": { "description": "メール通知設定\n", "type": "object", "properties": { "notification_id": { "description": "メール通知先 ID", "type": "integer", "format": "int64" }, "message": { "description": "メール通知メッセージ", "type": "string" } }, "required": [ "notification_id", "message" ] }, "http_config": { "description": "通知先HTTP設定
\ndestination_typeがhttpのとき必須です。\n", "type": "object", "properties": { "notification_id": { "description": "通知先HTTPのID", "type": "integer", "format": "int64" }, "message": { "description": "通知メッセージ
\nHTTPリクエストボディとして送信されるJSON文字列を指定します(メタ変数・カスタム変数の展開に対応)。\n", "type": "string" } }, "required": [ "notification_id", "message" ] } }, "required": [ "type", "destination_type" ] } }, "schedules": { "description": "ワークフロースケジュール", "type": "array", "nullable": true, "items": { "title": "Schedule", "type": "object", "properties": { "frequency": { "description": "スケジュールの頻度です。
\nhourly: 毎時
\ndaily: 毎日
\nweekly: 毎週
\nmonthly: 毎月\n", "type": "string", "enum": [ "hourly", "daily", "weekly", "monthly" ] }, "minute": { "description": "分の値を示します。", "type": "integer", "format": "int64" }, "hour": { "description": "時間の値を示します。", "type": "integer", "format": "int64" }, "day": { "description": "日にちの値を示します。", "type": "integer", "format": "int64" }, "day_of_week": { "description": "曜日の値を示します。", "type": "integer", "format": "int64" }, "time_zone": { "description": "日時のタイムゾーンです。", "type": "string", "example": "Etc/UTC" } }, "required": [ "frequency", "time_zone" ] } }, "tasks": { "description": "ワークフロータスク一覧", "type": "array", "nullable": true, "items": { "type": "object", "properties": { "key": { "description": "タスクキー
\nタスクキーはタスクの依存関係を定義するために使用される識別子です。
\nタスクキーには任意の文字列を指定できます。\n", "type": "string", "example": "t1" }, "type": { "description": "タスク種別", "type": "string", "enum": [ "bigquery_data_check", "databricks_data_check", "http_request", "if_else", "redshift_data_check", "slack_notify", "snowflake_data_check", "tableau_extract", "trocco_bigquery_datamart", "trocco_databricks_datamart", "trocco_dbt", "trocco_file_transfer", "trocco_pipeline", "trocco_redshift_datamart", "trocco_snowflake_datamart", "trocco_transfer_bulk", "trocco_transfer" ] }, "bigquery_data_check_config": { "title": "BigqueryDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "BigQuery接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "BigQueryデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "databricks_data_check_config": { "title": "DatabricksDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Databricksデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null" ] }, "http_request_config": { "title": "HttpPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "タスク名", "type": "string" }, "connection_id": { "description": "HTTP接続情報ID", "type": "integer", "format": "int64" }, "http_method": { "description": "HTTP メソッド", "type": "string" }, "url": { "description": "URL", "type": "string" }, "request_body": { "description": "リクエストボディ", "type": "string" }, "request_headers": { "description": "リクエストヘッダ(作成順)", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "リクエストヘッダキー", "type": "string" }, "value": { "description": "リクエストヘッダ値", "type": "string" }, "masking": { "description": "リクエストヘッダ値をマスキングするかどうか", "type": "boolean" } }, "required": [ "key", "value", "masking" ] } }, "request_parameters": { "description": "リクエストパラメータ(作成順)", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "リクエストパラメータキー", "type": "string" }, "value": { "description": "リクエストパラメータ値", "type": "string" }, "masking": { "description": "リクエストパラメータ値をマスキングするかどうか", "type": "boolean" } }, "required": [ "key", "value", "masking" ] } }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "name", "connection_id", "http_method", "url", "request_body", "request_headers", "request_parameters", "custom_variables" ] }, "if_else_config": { "title": "IfElsePipelineDefinitionTaskConfigRequest", "type": "object", "description": "if_else タスクのリクエスト設定", "properties": { "condition_groups": { "description": "条件グループ定義", "type": "object", "properties": { "set_type": { "description": "論理演算子(条件同士の結合方法)", "type": "string", "enum": [ "and", "or" ] }, "conditions": { "description": "条件リスト", "type": "array", "items": { "type": "object", "properties": { "task_key": { "description": "参照するタスクキー
\n※ 変数がcurrent_time(現在日時)の場合は不要\n", "type": "string", "nullable": true }, "variable": { "description": "変数名
\n- status: タスクの実行結果
\n- response_status_code: HTTPリクエストのステータスコード(http_requestタスクのみ)
\n- transfer_record_count: 転送レコード数(転送・データマートタスクのみ)
\n- transfer_files: 転送ファイル数(ファイル転送タスクのみ)
\n- transfer_byte: 転送バイト数(ファイル転送タスクのみ)
\n- skipped_files: スキップされたファイル数(ファイル転送タスクのみ)
\n- check_result: データチェック結果(データチェックタスクのみ)
\n- current_time: 現在日時
\n- environment_id: 環境ID\n", "type": "string", "enum": [ "status", "response_status_code", "transfer_record_count", "transfer_files", "transfer_byte", "skipped_files", "check_result", "current_time", "environment_id" ] }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "not_equal", "greater", "greater_equal", "less", "less_equal" ] }, "value": { "description": "比較値
\n- status: \"succeeded\" または \"error\"
\n- response_status_code: \"100\"~\"599\"の3桁数値文字列
\n- transfer_record_count: 0以上の整数文字列
\n- transfer_files: 0以上の整数文字列
\n- transfer_byte: 0以上の整数文字列
\n- skipped_files: 0以上の整数文字列
\n- check_result: \"success\" または \"failure\"
\n- current_time: \"2025-01-31T09:00:00+09:00\"形式の日時
\n- environment_id: 1以上の整数文字列\n", "type": "string" } }, "required": [ "variable", "operator", "value" ] } } }, "required": [ "set_type", "conditions" ] }, "destinations": { "description": "条件分岐先", "type": "object", "properties": { "if": { "description": "条件が真の場合の実行タスクのキーリスト", "type": "array", "items": { "type": "string" } }, "else": { "description": "条件が偽の場合の実行タスクのキーリスト", "type": "array", "items": { "type": "string" } } } } }, "required": [ "condition_groups", "destinations" ] }, "redshift_data_check_config": { "title": "RedshiftDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Redshiftデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "database": { "description": "データベース", "type": "string", "example": "DEFAULT" }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "slack_notify_config": { "title": "SlackNotifyPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "Slack通知タスク名", "type": "string", "example": "Example" }, "connection_id": { "description": "Slack接続情報ID", "type": "integer", "format": "int64" }, "message": { "description": "Slack通知メッセージ", "type": "string" }, "ignore_error": { "description": "Slack通知が失敗した場合、タスク自体は成功したものとして扱うか", "type": "boolean" } }, "required": [ "name", "connection_id", "message", "ignore_error" ] }, "snowflake_data_check_config": { "title": "SnowflakeDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Snowflakeデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "tableau_data_extraction_config": { "title": "TableauDataExtractionPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "Tableauデータ抽出タスク名", "type": "string" }, "connection_id": { "description": "Tableau接続情報ID", "type": "integer", "format": "int64" }, "task_id": { "description": "TableauタスクID
\nTableauタスクIDは[Tableau API](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref.htm#list_extract_refresh_tasks1)のレスポンスで確認できます。\n", "type": "string" } }, "required": [ "name", "connection_id", "task_id" ] }, "trocco_bigquery_datamart_config": { "title": "TroccoBigqueryDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "BigQueryデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "BigQueryデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_databricks_datamart_config": { "title": "TroccoDatabricksDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Databricksデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Databricksデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_dbt_config": { "title": "TroccoDbtPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "dbtジョブ設定ID", "type": "integer", "format": "int64" }, "name": { "description": "dbtジョブ設定名", "type": "string" } }, "required": [ "definition_id", "name" ] }, "trocco_file_transfer_config": { "title": "TroccoFileTransferPipelineDefinitionTaskConfigRequest", "type": "object", "description": "ファイル転送タスクのリクエスト設定", "properties": { "definition_id": { "description": "ファイル転送設定ID", "type": "integer", "format": "int64" }, "custom_variable_loop": { "description": "カスタム変数ループ設定
\n※ ファイル転送タスクではループの並列実行(is_parallel_execution_allowed: true)は指定できません\n", "allOf": [ { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } ] } }, "required": [ "definition_id" ] }, "trocco_pipeline_config": { "title": "TroccoPipelinePipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "ワークフロー定義ID", "type": "integer", "format": "int64" }, "name": { "description": "ワークフロー名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id", "name", "custom_variable_loop" ] }, "trocco_redshift_datamart_config": { "title": "TroccoRedshiftDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Redshiftデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Redshiftデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_snowflake_datamart_config": { "title": "TroccoSnowflakeDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Snowflakeデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Snowflakeデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_azure_synapse_analytics_datamart": { "title": "TroccoAzureSynapseAnalyticsDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Azure Synapse Analyticsデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Azure Synapse Analyticsデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_transfer_bulk_config": { "title": "TroccoTransferBulkPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "マネージド転送設定ID", "type": "integer", "format": "int64" }, "name": { "description": "マネージド転送設定名", "type": "string" } }, "required": [ "definition_id", "name" ] }, "trocco_transfer_config": { "title": "TroccoTransferPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "転送設定ID", "type": "integer", "format": "int64" }, "name": { "description": "転送設定名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id", "name" ] } } } }, "task_dependencies": { "description": "ワークフロータスク間の依存関係", "type": "array", "nullable": true, "items": { "title": "PipelineDefinitionTaskDependency", "type": "object", "properties": { "source": { "description": "依存元タスクキー", "type": "string" }, "destination": { "description": "依存先タスクキー", "type": "string" } }, "required": [ "source", "destination" ] } } }, "required": [ "name" ] } } } }, "responses": { "201": { "description": "作成したワークフローの詳細を返します。\n", "content": { "application/json": { "schema": { "title": "PipelineDefinitionResponse", "type": "object", "properties": { "id": { "description": "ワークフローID", "type": "integer", "format": "int64", "readOnly": true }, "name": { "description": "ワークフロー名", "type": "string" }, "resource_group_id": { "description": "リソースグループID", "type": "integer", "format": "int64", "nullable": true }, "description": { "description": "ワークフロー詳細(メモ)", "type": "string", "nullable": true }, "max_task_parallelism": { "description": "ワークフロータスク同時実行数上限", "type": "integer", "format": "int64", "nullable": true, "default": 1, "example": 1 }, "execution_timeout": { "description": "ワークフロー実行タイムアウト", "type": "integer", "format": "int64", "nullable": true }, "max_retries": { "description": "ワークフローリトライ回数上限", "type": "integer", "format": "int64", "nullable": true }, "min_retry_interval": { "description": "ワークフロー最小リトライ間隔", "type": "integer", "format": "int64", "nullable": true }, "is_concurrent_execution_skipped": { "description": "すでにワークフロージョブが実行中の場合、ワークフロージョブの実行をスキップするかどうか", "type": "boolean", "nullable": true }, "is_stopped_on_errors": { "description": "タスクが失敗した場合、ワークフロージョブを停止するかどうか", "type": "boolean", "nullable": true }, "labels": { "description": "ラベル", "type": "array", "nullable": true, "items": { "type": "string" } }, "notifications": { "description": "通知一覧です。
\n配列の順序は以下の規則で固定されます。
\n- type の順: job_execution → job_time_alert
\n- 同一 type 内は destination_type の順: slack → email
\n- 同一 type かつ同一 destination_type 内は id 昇順\n", "type": "array", "nullable": true, "items": { "title": "PipelineDefinitionNotification", "type": "object", "properties": { "id": { "description": "通知設定のIDです。
\ntype の中で一意です。slack と email が同じ親レコードから派生する場合は同じ id を持つため、destination_type を併用して識別してください。\n", "type": "integer", "format": "int64", "readOnly": true }, "type": { "description": "ワークフロー通知種別
\n
\n- job_execution: ワークフロー実行通知
\n- job_time_alert: ワークフロー経過時間通知\n", "type": "string", "enum": [ "job_execution", "job_time_alert" ] }, "destination_type": { "description": "ワークフロー通知先種別", "type": "string", "enum": [ "slack", "email", "http" ] }, "notify_when": { "description": "ワークフロー実行通知タイミング
\nワークフロー通知種別がjob_executionの場合は必須です。
\n
\n- finished: ワークフロー実行完了時
\n- failed: ワークフロー実行失敗時\n", "type": "string", "enum": [ "finished", "failed" ] }, "time": { "description": "ワークフロー経過時間通知タイミング
ワークフロー通知種別がjob_time_alertの場合は必須です。", "type": "integer" }, "slack_config": { "description": "Slack通知設定", "type": "object", "properties": { "notification_id": { "description": "Slack通知先ID", "type": "integer", "format": "int64" }, "message": { "description": "Slack通知メッセージ", "type": "string" } }, "required": [ "notification_id", "message" ] }, "email_config": { "description": "メール通知設定\n", "type": "object", "properties": { "notification_id": { "description": "メール通知先 ID", "type": "integer", "format": "int64" }, "message": { "description": "メール通知メッセージ", "type": "string" } }, "required": [ "notification_id", "message" ] }, "http_config": { "description": "通知先HTTP設定
\ndestination_typeがhttpのとき必須です。\n", "type": "object", "properties": { "notification_id": { "description": "通知先HTTPのID", "type": "integer", "format": "int64" }, "message": { "description": "通知メッセージ
\nHTTPリクエストボディとして送信されるJSON文字列を指定します(メタ変数・カスタム変数の展開に対応)。\n", "type": "string" } }, "required": [ "notification_id", "message" ] } }, "required": [ "type", "destination_type" ] } }, "schedules": { "description": "ワークフロースケジュール(作成順)", "type": "array", "nullable": true, "items": { "title": "Schedule", "type": "object", "properties": { "frequency": { "description": "スケジュールの頻度です。
\nhourly: 毎時
\ndaily: 毎日
\nweekly: 毎週
\nmonthly: 毎月\n", "type": "string", "enum": [ "hourly", "daily", "weekly", "monthly" ] }, "minute": { "description": "分の値を示します。", "type": "integer", "format": "int64" }, "hour": { "description": "時間の値を示します。", "type": "integer", "format": "int64" }, "day": { "description": "日にちの値を示します。", "type": "integer", "format": "int64" }, "day_of_week": { "description": "曜日の値を示します。", "type": "integer", "format": "int64" }, "time_zone": { "description": "日時のタイムゾーンです。", "type": "string", "example": "Etc/UTC" } }, "required": [ "frequency", "time_zone" ] } }, "tasks": { "description": "ワークフロータスク一覧", "type": "array", "nullable": true, "items": { "type": "object", "properties": { "key": { "description": "タスクキー
\nタスクキーはタスクの依存関係を定義するために使用される識別子です。
\nタスクキーには任意の文字列を指定できます。\n", "type": "string", "example": "t1" }, "type": { "description": "タスク種別", "type": "string", "enum": [ "bigquery_data_check", "databricks_data_check", "http_request", "if_else", "redshift_data_check", "slack_notify", "snowflake_data_check", "tableau_extract", "trocco_bigquery_datamart", "trocco_databricks_datamart", "trocco_dbt", "trocco_file_transfer", "trocco_pipeline", "trocco_redshift_datamart", "trocco_snowflake_datamart", "trocco_transfer_bulk", "trocco_transfer" ] }, "bigquery_data_check_config": { "title": "BigqueryDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "BigQuery接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "BigQueryデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "databricks_data_check_config": { "title": "DatabricksDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Databricksデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null" ] }, "http_request_config": { "title": "HttpPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "タスク名", "type": "string" }, "connection_id": { "description": "HTTP接続情報ID", "type": "integer", "format": "int64" }, "http_method": { "description": "HTTP メソッド", "type": "string" }, "url": { "description": "URL", "type": "string" }, "request_body": { "description": "リクエストボディ", "type": "string" }, "request_headers": { "description": "リクエストヘッダ(作成順)", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "リクエストヘッダキー", "type": "string" }, "value": { "description": "リクエストヘッダ値", "type": "string" }, "masking": { "description": "リクエストヘッダ値をマスキングするかどうか", "type": "boolean" } }, "required": [ "key", "value", "masking" ] } }, "request_parameters": { "description": "リクエストパラメータ(作成順)", "type": "array", "items": { "type": "object", "properties": { "key": { "description": "リクエストパラメータキー", "type": "string" }, "value": { "description": "リクエストパラメータ値", "type": "string" }, "masking": { "description": "リクエストパラメータ値をマスキングするかどうか", "type": "boolean" } }, "required": [ "key", "value", "masking" ] } }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "name", "connection_id", "http_method", "url", "request_body", "request_headers", "request_parameters", "custom_variables" ] }, "if_else_config": { "title": "IfElsePipelineDefinitionTaskConfigResponse", "type": "object", "description": "if_else タスクのレスポンス設定", "properties": { "condition_groups": { "description": "条件グループ定義", "type": "object", "properties": { "set_type": { "description": "論理演算子(条件同士の結合方法)", "type": "string", "enum": [ "and", "or" ] }, "conditions": { "description": "条件リスト(作成順)", "type": "array", "items": { "type": "object", "properties": { "identifier": { "description": "タスクの内部識別子
\n※ 参照されているタスクのIDが返却されます\n", "type": "string", "nullable": true }, "variable": { "description": "変数名
\n- status: タスクの実行結果
\n- response_status_code: HTTPリクエストのステータスコード(http_requestタスクのみ)
\n- transfer_record_count: 転送レコード数(転送・データマートタスクのみ)
\n- transfer_files: 転送ファイル数(ファイル転送タスクのみ)
\n- transfer_byte: 転送バイト数(ファイル転送タスクのみ)
\n- skipped_files: スキップされたファイル数(ファイル転送タスクのみ)
\n- check_result: データチェック結果(データチェックタスクのみ)
\n- current_time: 現在日時
\n- environment_id: 環境ID\n", "type": "string", "enum": [ "status", "response_status_code", "transfer_record_count", "transfer_files", "transfer_byte", "skipped_files", "check_result", "current_time", "environment_id" ] }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "not_equal", "greater", "greater_equal", "less", "less_equal" ] }, "value": { "description": "比較値
\n- status: \"succeeded\" または \"error\"
\n- response_status_code: \"100\"~\"599\"の3桁数値文字列
\n- transfer_record_count: 0以上の整数文字列
\n- transfer_files: 0以上の整数文字列
\n- transfer_byte: 0以上の整数文字列
\n- skipped_files: 0以上の整数文字列
\n- check_result: \"success\" または \"failure\"
\n- current_time: \"2025-01-31T09:00:00+09:00\"形式の日時
\n- environment_id: 1以上の整数文字列\n", "type": "string" } }, "required": [ "variable", "operator", "value" ] } } }, "required": [ "set_type", "conditions" ] }, "destinations": { "description": "条件分岐先", "type": "object", "properties": { "if": { "description": "条件が真の場合の実行タスクの identifier リスト(作成順)", "type": "array", "items": { "type": "string" } }, "else": { "description": "条件が偽の場合の実行タスクの identifier リスト(作成順)", "type": "array", "items": { "type": "string" } } } } }, "required": [ "condition_groups", "destinations" ] }, "redshift_data_check_config": { "title": "RedshiftDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Redshiftデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "database": { "description": "データベース", "type": "string", "example": "DEFAULT" }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "slack_notify_config": { "title": "SlackNotifyPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "Slack通知タスク名", "type": "string", "example": "Example" }, "connection_id": { "description": "Slack接続情報ID", "type": "integer", "format": "int64" }, "message": { "description": "Slack通知メッセージ", "type": "string" }, "ignore_error": { "description": "Slack通知が失敗した場合、タスク自体は成功したものとして扱うか", "type": "boolean" } }, "required": [ "name", "connection_id", "message", "ignore_error" ] }, "snowflake_data_check_config": { "title": "SnowflakeDataCheckPipelineDefinitionTaskConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "name": { "description": "Snowflakeデータチェックタスク名", "type": "string" }, "query": { "description": "クエリ", "type": "string" }, "operator": { "description": "比較演算子", "type": "string", "enum": [ "equal", "greater_equal", "greater", "less_equal", "less", "not_equal" ] }, "query_result": { "description": "期待するクエリ結果", "type": "integer", "format": "int64" }, "accepts_null": { "description": "クエリ結果がNULLの場合、データチェックが成功したものとして扱うかどうか", "type": "boolean" }, "ignore_result": { "description": "クエリ結果を条件分岐に利用するかどうか。trueの場合、データチェックがエラー条件に合致してもタスクは成功として扱われ、後続の分岐(if_else)タスクからチェック結果を参照できます", "type": "boolean", "default": false }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "custom_variables": { "description": "カスタム変数", "type": "array", "items": { "title": "CustomVariableSetting", "type": "object", "properties": { "name": { "description": "カスタム変数の変数名を指定します。
\n変数名を`$`で囲ってください。
\n", "type": "string", "example": "$start_time$" }, "type": { "description": "カスタム変数タイプです。
\nstring: 文字列
\ntimestamp: 時刻・日付(キューイング時)
\ntimestamp_runtime: 時刻・日付(実行時)\n", "type": "string", "enum": [ "string", "timestamp", "timestamp_runtime" ], "example": "timestamp_runtime" }, "value": { "description": "カスタム変数名を展開する値を指定します。
\nカスタム変数タイプがstringのときのみ有効です。\n", "type": "string", "example": "jobs" }, "quantity": { "type": "integer", "format": "int64", "description": "unit 時間の数を指定します。
\nカスタム変数タイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": 1 }, "unit": { "description": "時間の単位を指定します。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。
\nmonth_start: 当月月初、month_end: 当月月末、prev_month_end: 前月末 を指定した場合、quantity・direction は不要です。\n", "type": "string", "enum": [ "minute", "hour", "date", "month", "month_start", "month_end", "prev_month_end" ], "example": "hour" }, "direction": { "description": "時間軸の方向です。
\nago: 前
\nlater: 後
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "enum": [ "ago", "later" ], "example": "ago" }, "format": { "type": "string", "description": "日付フォーマットです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "example": "%Y-%m-%d %H:%M:%S" }, "time_zone": { "description": "日付フォーマットの日時を解釈するタイムゾーンです。
\nタイプがtimestampかtimestamp_runtime のときのみ有効です。\n", "type": "string", "example": "Etc/UTC" } }, "required": [ "name", "type" ] } } }, "required": [ "connection_id", "name", "query", "operator", "query_result", "accepts_null", "custom_variables" ] }, "tableau_data_extraction_config": { "title": "TableauDataExtractionPipelineDefinitionTaskConfig", "type": "object", "properties": { "name": { "description": "Tableauデータ抽出タスク名", "type": "string" }, "connection_id": { "description": "Tableau接続情報ID", "type": "integer", "format": "int64" }, "task_id": { "description": "TableauタスクID
\nTableauタスクIDは[Tableau API](https://help.tableau.com/current/api/rest_api/en-us/REST/rest_api_ref.htm#list_extract_refresh_tasks1)のレスポンスで確認できます。\n", "type": "string" } }, "required": [ "name", "connection_id", "task_id" ] }, "trocco_bigquery_datamart_config": { "title": "TroccoBigqueryDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "BigQueryデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "BigQueryデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_databricks_datamart_config": { "title": "TroccoDatabricksDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Databricksデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Databricksデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id" ] }, "trocco_dbt_config": { "title": "TroccoDbtPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "dbtジョブ設定ID", "type": "integer", "format": "int64" }, "name": { "description": "dbtジョブ設定名", "type": "string" } }, "required": [ "definition_id", "name" ] }, "trocco_file_transfer_config": { "title": "TroccoFileTransferPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "ファイル転送設定ID", "type": "integer", "format": "int64" }, "name": { "description": "ファイル転送設定名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "allOf": [ { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } ] } }, "required": [ "definition_id", "name" ] }, "trocco_pipeline_config": { "title": "TroccoPipelinePipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "ワークフロー定義ID", "type": "integer", "format": "int64" }, "name": { "description": "ワークフロー名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "properties": { "value": { "description": "展開される値", "type": "integer" }, "unit": { "description": "展開される値の単位", "type": "string", "enum": [ "date_ago", "date_later", "month_ago", "month_later", "year_ago", "year_later" ] } }, "required": [ "value", "unit" ] } }, "required": [ "name", "offset" ] } } }, "required": [ "interval", "time_zone", "from", "to", "variables" ] }, "redshift_config": { "title": "RedshiftPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Redshift接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "database": { "description": "データベース", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "database", "variables" ] }, "snowflake_config": { "title": "SnowflakePipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Snowflake接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "warehouse": { "description": "ウェアハウス", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "warehouse", "variables" ] }, "string_config": { "title": "StringPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "values": { "description": "カスタム変数値", "type": "array", "items": { "type": "string" } } }, "required": [ "name", "values" ] } } }, "required": [ "variables" ] } }, "required": [ "type" ] } } }, "required": [ "definition_id", "name", "custom_variable_loop" ] }, "trocco_redshift_datamart_config": { "title": "TroccoRedshiftDatamartPipelineDefinitionTaskConfig", "type": "object", "properties": { "definition_id": { "description": "Redshiftデータマート定義ID", "type": "integer", "format": "int64" }, "name": { "description": "Redshiftデータマートタスク名", "type": "string" }, "custom_variable_loop": { "description": "カスタム変数ループ設定", "type": "array", "items": { "title": "TroccoTransferPipelineDefinitionCustomVariableLoop", "type": "object", "properties": { "type": { "description": "カスタム変数ループ種別", "type": "string", "enum": [ "bigquery", "databricks", "period", "redshift", "snowflake", "string" ] }, "bigquery_config": { "title": "BigqueryPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Bigquery接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "databricks_config": { "title": "DatabricksPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "connection_id": { "description": "Databricks接続情報ID", "type": "integer", "format": "int64" }, "query": { "description": "クエリ", "type": "string" }, "variables": { "description": "カスタム変数", "type": "array", "items": { "type": "string" } } }, "required": [ "connection_id", "query", "variables" ] }, "period_config": { "title": "PeriodPipelineDefinitionTaskCustomVariableLoopConfig", "type": "object", "properties": { "interval": { "description": "ループ間隔", "type": "string" }, "time_zone": { "description": "タイムゾーン", "type": "string" }, "from": { "description": "ループ開始タイミング", "type": "object", "properties": { "value": { "description": "ループ開始タイミング値", "type": "integer" }, "unit": { "description": "ループ開始タイミング単位", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "to": { "description": "ループ終了タイミング", "type": "object", "properties": { "value": { "description": "ループ終了タイミング値", "type": "integer" }, "unit": { "description": "ループ終了タイミング\n", "type": "string", "enum": [ "date", "month", "year" ] } }, "required": [ "value", "unit" ] }, "variables": { "description": "カスタム変数(作成順)", "type": "array", "items": { "type": "object", "properties": { "name": { "description": "カスタム変数名", "type": "string" }, "offset": { "description": "展開される値", "type": "object", "propert
[...]
